plugin.tx_caddy_pi1 {
  api {
      // empty statement for proper comments only
    options {
    }
      // specials
    options =
    options {
        // preset, options
      specials =
      specials {
          // devider for list of options in e-mails und PDF attachments
        devider = TEXT
        devider {
          value       = ,
          noTrimWrap  = || |
        }
          // default method
        preset = {$plugin.caddy.options.specials.default}
          // neutralpackage, addfeeforislands
        options =
        options {
            // neutralpackage: enabled, title, extra, tax
          1 =
          1 {
            enabled = {$plugin.caddy.options.specials.1.enabled}
              // label, gross
            title = COA
            title {
              10 = TEXT
              10 {
                data = LLL:EXT:caddy/pi1/locallang.xml:specialoption_neutralpackage
                noTrimWrap  = || |
              }
                // amount
              20 = 
              20 < plugin.tx_caddy.defaults.numberFormatCurrency
              20 {
                if {
                  value = 0
                  isGreaterThan = {$plugin.caddy.options.specials.1.costs}
                }
                value = {$plugin.caddy.options.specials.1.costs}
                stdWrap {
                  noTrimWrap = |(+| {$plugin.caddy.main.currencySymbol})|
                }
              }
            }
              // extra cost (gross price) of payment method
            extra = {$plugin.caddy.options.specials.1.costs}
              // tax rate which will be applied (reduced or normal)
            tax = {$plugin.caddy.options.specials.1.taxrate}
          }
           // addfeeforislands: enabled, title, extra, tax
          2 < .1
          2 =
          2 {
            title {
              10 {
                data = LLL:EXT:caddy/pi1/locallang.xml:specialoption_addfeeforislands
              }
              20 {
                if {
                  isGreaterThan = {$plugin.caddy.options.specials.2.costs}
                }
                10 {
                  userFunc {
                    number {
                      value = {$plugin.caddy.options.specials.2.costs}
                    }
                  }
                }
                20 {
                  value = {$plugin.caddy.main.currencySymbol}
                }
              }
            }
            extra = {$plugin.caddy.options.specials.2.costs}
            tax   = {$plugin.caddy.options.specials.2.taxrate}
          }
        }
      }
    }
  }
}