plugin.caddy {

  # cat=caddy - pdf - delivery order//202; type=int+; label= Address position left: Position of the delivery order address from the left margin in millimeters
  pdf.deliveryorder.address.x = 25
  # cat=caddy - pdf - delivery order//203; type=int+; label= Address position top: Position of the delivery order address from the top margin in millimeters
  pdf.deliveryorder.address.y = 55
  # cat=caddy - pdf - delivery order//204; type=int+; label= Address font-size: Font-size of the delivery order address in points
  pdf.deliveryorder.address.fontsize = 10
  # cat=caddy - pdf - delivery order//304; type=int+; label= Number position left: Position of the delivery number from the left margin in millimeters
  pdf.deliveryorder.number.x = 25
  # cat=caddy - pdf - delivery order//305; type=int+; label= Number position top: Position of the delivery number from the top margin in millimeters
  pdf.deliveryorder.number.y = 110
  # cat=caddy - pdf - delivery order//304; type=int+; label= Number font-size: Font-size of the delivery number in points
  pdf.deliveryorder.number.fontsize = 24
  # cat=caddy - pdf - delivery order//306; type=string; label= Number prefix: Prefix for the delivery number. Example : D-
  pdf.deliveryorder.number.prefix =
  # cat=caddy - pdf - delivery order//401; type=int+; label= Term of credit position left: Position of the term of credit from the left margin in millimeters
  pdf.deliveryorder.termOfCredit.x = 25
  # cat=caddy - pdf - delivery order//402; type=int+; label= Term of credit position top: Position of the term of credit from the top margin in millimeters
  pdf.deliveryorder.termOfCredit.y = 250
  # cat=caddy - pdf - delivery order//403; type=int+; label= Term of credit font-size: Font-size of the term of credit in points
  pdf.deliveryorder.termOfCredit.fontsize = 10
  # cat=caddy - pdf - delivery order/others/998;    type=user[EXT:caddy/Resources/Private/Lib/userfunc/class.tx_caddy_userfunc.php:tx_caddy_userfunc->promptExternalLinks]; label=External Links:typo3-caddy.de
  pdf.deliveryorder.externalLinks = Click me!
  # cat=caddy - pdf - delivery order/others/999;    type=user[EXT:caddy/Resources/Private/Lib/userfunc/class.tx_caddy_userfunc.php:tx_caddy_userfunc->promptSponsors]; label=Subsidise the Caddy project!
  pdf.deliveryorder.sponsors = Click me!

}